/******************************************************************************/
/*                                                                            */
/* Beispiel fuer einen Quellcode                                               */
/*                                                                            */
/******************************************************************************/

// Einbinden der header - files

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

/****************      Initialisierungen        ******************************/

  printf("Initialisiere\n");

  // Kraft-Momenten-Sensor
  
  last_kms_sequence = -2 ;  // Sequence der Messwerte vom KMS setzen
  #ifdef HIL
      /* Kommunikation mit Sensor starten (initialisieren) */
      if( kms_init_hardware("192.168.3.1" , 1000000) != 0){ kms_error(argv[0]) ; return -1 ; }
  #endif
		
  // TX90 Init - Warten auf Roboter
  
  InitRobotState(&RobState_Soll);// relative Sollposition 
  InitRobotState(&RobState_Ist);// Istposition - wird vom TX90 gesendet
  #ifdef HIL
      printf("Warte auf Roboter Verbindungswunsch\n");
      WaitBeginTX90(&TX90Socket);
      printf("Verbindungswunsch Verbindungswunsch aufgenommen\n");
  #endif

  